Summary:   A portable x86 assembler which uses Intel-like syntax
Name:      nasm
Version:   2.16.01
Release:   5%{?dist}
License:   BSD
# https://github.com/netwide-assembler/nasm
URL:       http://www.nasm.us
Source0:   https://www.nasm.us/pub/nasm/releasebuilds/%{version}/%{name}-%{version}.tar.xz

BuildRequires: perl(Env) autoconf automake asciidoc xmlto gcc make
Obsoletes: nasm-rdoff < 2.16.01-1

%description
NASM is the Netwide Assembler, a free portable assembler for the Intel 80x86 microprocessor series,
using primarily the traditional Intel instruction mnemonics and syntax.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure
%make_build all

%install
%make_install

%check
make -C test golden test diff

%files
%license LICENSE
%doc AUTHORS CHANGES README.md
%{_bindir}/nasm
%{_bindir}/ndisasm
%{_mandir}/man1/nasm*
%{_mandir}/man1/ndisasm*

%changelog
* Mon Nov 11 2024 rockerzhu <rockerzhu@tencent.com> - 2.16.01-5
- Add github url because of frequent failure of accesing nasm.us.

* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16.01-4
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16.01-3
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.16.01-2
- Rebuilt for OpenCloudOS Stream 23.09

* Mon Sep 4 2023 Shuo Wang <abushwang@tencent.com> - 2.16.01-1
- update to 2.16.01

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15.05-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.15.05-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 2 2023 Shuo Wang <abushwang@tencent.com> - 2.15.05-1
- initial build
